package com.steerinfo.route.service.impl;


import com.steerinfo.route.mapper.TmstruckReceiptResultChildMapper;
import com.steerinfo.route.model.TmstruckReceiptResultChild;
import com.steerinfo.route.service.ITmstruckReceiptResultChildService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.math.BigDecimal;
import java.util.Date;

/**
 * TmstruckReceiptResultChild服务实现：
 * @author generator
 * @version 1.0-SNAPSHORT 2021-09-06 07:38
 * 类描述
 * 修订历史：
 * 日期：2021-09-06
 * 作者：generator
 * 参考：
 * 描述：TmstruckReceiptResultChild服务实现
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
@Service(value = "tmstruckReceiptResultChildService")
public class TmstruckReceiptResultChildServiceImpl implements ITmstruckReceiptResultChildService {

    @Autowired
    private TmstruckReceiptResultChildMapper tmstruckReceiptResultChildMapper;

    @Override
    public synchronized int addTmstruckReceiptResultChild(TmstruckReceiptResultChild tmstruckReceiptResultChild) {
        long id;
        if(tmstruckReceiptResultChildMapper.selectMaxId()==null){
            id = 1;
        }else {
            id = tmstruckReceiptResultChildMapper.selectMaxId().longValue()+1;
        }
        //生成主键id
        tmstruckReceiptResultChild.setChildId(new BigDecimal(id));
        //常规字段
        tmstruckReceiptResultChild.setInsertUsername("admin");
        tmstruckReceiptResultChild.setInsertTime(new Date());
        tmstruckReceiptResultChild.setUpdateUsername("admin");
        tmstruckReceiptResultChild.setUpdateTime(new Date());
        tmstruckReceiptResultChild.setInsertUpdateRemark("无");
        return tmstruckReceiptResultChildMapper.insertSelective(tmstruckReceiptResultChild);
    }
}
